## cascading.operation.regex
Class RegexOperation<C>

    java.lang.Object
      cascading.operation.BaseOperation<C>
          cascading.operation.regex.RegexOperation<C>

All Implemented Interfaces:
  Operation<C>, Serializable

Direct Known Subclasses:
  RegexGenerator, RegexMatcher, RegexParser, RegexReplace, RegexSplitGenerator, RegexSplitter

    public class RegexOperation<C>

extends BaseOperation<C>

Class RegexOperation is the base class for all regex Operations.

See Also:
  Serialized Form

Field Summary
`protected String` `patternString` Field patternString

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`RegexOperation()` Constructor RegexOperation creates a new RegexOperation instance.
`RegexOperation(Fields fieldDeclaration)` Constructor RegexOperation creates a new RegexOperation instance.
`RegexOperation(int numArgs)` Constructor RegexOperation creates a new RegexOperation instance.
`RegexOperation(int numArgs, Fields fieldDeclaration)` Constructor RegexOperation creates a new RegexOperation instance.
`RegexOperation(int numArgs, Fields fieldDeclaration, String patternString)` Constructor RegexOperation creates a new RegexOperation instance.
`RegexOperation(int numArgs, String patternString)` Constructor RegexOperation creates a new RegexOperation instance.
`RegexOperation(String patternString)` Constructor RegexOperation creates a new RegexOperation instance.

Method Summary
`boolean` `equals(Object object)`
`protected Pattern` `getPattern()` Method getPattern returns the pattern of this RegexOperation object.
`String` `getPatternString()` Method getPatternString returns the patternString of this RegexOperation object.
`int` `hashCode()`

Methods inherited from class cascading.operation.BaseOperation
`cleanup, getFieldDeclaration, getNumArgs, getTrace, isSafe, prepare, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### patternString

    protected String patternString

  Field patternString

Constructor Detail

### RegexOperation

    public RegexOperation()

  Constructor RegexOperation creates a new RegexOperation instance.

### RegexOperation

    @ConstructorProperties(value="numArgs")
    public RegexOperation(int numArgs)

  Constructor RegexOperation creates a new RegexOperation instance.

  Parameters:
    `numArgs` - of type int

### RegexOperation

    @ConstructorProperties(value="fieldDeclaration")
    public RegexOperation(Fields fieldDeclaration)

  Constructor RegexOperation creates a new RegexOperation instance.

  Parameters:
    `fieldDeclaration` - of type Fields

### RegexOperation

    @ConstructorProperties(value={"numArgs","patternString"})
    public RegexOperation(int numArgs,
                                                     String patternString)

  Constructor RegexOperation creates a new RegexOperation instance.

  Parameters:
    `numArgs` - of type int
    `patternString` - of type String

### RegexOperation

    @ConstructorProperties(value="patternString")
    public RegexOperation(String patternString)

  Constructor RegexOperation creates a new RegexOperation instance.

  Parameters:
    `patternString` - of type String

### RegexOperation

    @ConstructorProperties(value={"numArgs","fieldDeclaration"})
    public RegexOperation(int numArgs,
                                                     Fields fieldDeclaration)

  Constructor RegexOperation creates a new RegexOperation instance.

  Parameters:
    `numArgs` - of type int
    `fieldDeclaration` - of type Fields

### RegexOperation

    @ConstructorProperties(value={"numArgs","fieldDeclaration","patternString"})
    public RegexOperation(int numArgs,
                                                     Fields fieldDeclaration,
                                                     String patternString)

  Constructor RegexOperation creates a new RegexOperation instance.

  Parameters:
    `numArgs` - of type int
    `fieldDeclaration` - of type Fields
    `patternString` - of type String

Method Detail

### getPatternString

    public String getPatternString()

  Method getPatternString returns the patternString of this RegexOperation object.

  Returns:
    the patternString (type String) of this RegexOperation object.

### getPattern

    protected Pattern getPattern()

  Method getPattern returns the pattern of this RegexOperation object.

  Returns:
    the pattern (type Pattern) of this RegexOperation object.

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseOperation<C>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseOperation<C>`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.